<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <!-- Configuration minimale pour avoir accès à la connexion à la base de données pour le Model -->
  <configSections>
    <section name="entityFramework" type="System.Data.Entity.Internal.ConfigFile.EntityFrameworkSection, EntityFramework, Version=6.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false" />
    <!-- For more information on Entity Framework configuration, visit http://go.microsoft.com/fwlink/?LinkID=237468 -->
    <sectionGroup name="applicationSettings" type="System.Configuration.ApplicationSettingsGroup, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
      <section name="CD67.FicheCollege.Entity.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false" />
    </sectionGroup>
  </configSections>
  <entityFramework>
    <!-- Suppression du provider par défaut qui stipule SQL server
    <defaultConnectionFactory type="System.Data.Entity.Infrastructure.SqlConnectionFactory, EntityFramework"/>
    -->
    <providers>
      <!--<provider invariantName="System.Data.SqlClient" type="System.Data.Entity.SqlServer.SqlProviderServices, EntityFramework.SqlServer"/>-->
      <provider invariantName="System.Data.SqlClient" type="System.Data.Entity.SqlServer.SqlProviderServices, EntityFramework.SqlServer" />
      <provider invariantName="Npgsql" type="Npgsql.NpgsqlServices, EntityFramework6.Npgsql" />
    </providers>
    <defaultConnectionFactory type="System.Data.Entity.Infrastructure.LocalDbConnectionFactory, EntityFramework">
      <parameters>
        <parameter value="mssqllocaldb" />
      </parameters>
    </defaultConnectionFactory>
  </entityFramework>
  <connectionStrings>
    <!-- Copie locale de la chaine de connexion pour l'éditeur graphique de modèle --><!--<add name="EducfEntities" providerName="Npgsql" connectionString="metadata=res://*/EducfModel.csdl|res://*/EducfModel.ssdl|res://*/EducfModel.msl;Server=POSTGIS-01;User Id=usereducfro;Password=usereducfR0;Port=5432;Database=educf;" />-->
    <add name="Entities" connectionString="metadata=res://*/EntityModel.csdl|res://*/EntityModel.ssdl|res://*/EntityModel.msl;provider=System.Data.SqlClient;provider connection string=&quot;data source=T-MSSQL-02\SQLSTD2K14;initial catalog=FicheCollege;persist security info=True;user id=FicheCollege_admin;password=bk9JFwqSwYw7mEPiOhnu;MultipleActiveResultSets=True;App=EntityFramework&quot;" providerName="System.Data.EntityClient" />
    <add name="EducfEntities" connectionString="metadata=res://*/EducfModel.csdl|res://*/EducfModel.ssdl|res://*/EducfModel.msl;provider=Npgsql;provider connection string=&quot;Host=POSTGIS-01;Username=usereducfro;Password=usereducfR0;Port=5432;Database=educf&quot;" providerName="System.Data.EntityClient" />
  </connectionStrings>
  <startup>
    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.6.1" />
  </startup>
  <applicationSettings>
    <CD67.FicheCollege.Entity.Properties.Settings>
      <setting name="CD67_FicheCollege_Entity_WsAgents_WsAgents" serializeAs="String">
        <value>http://referentiel.bas-rhin.fr/webservices/WsAgents.asmx</value>
      </setting>
      <setting name="CD67_FicheCollege_Entity_WsTiers_WsTiers" serializeAs="String">
        <value>http://referentiel.bas-rhin.fr/webservices/WsTiers.asmx</value>
      </setting>
      <setting name="CD67_FicheCollege_Entity_WsExternes_WsExternes" serializeAs="String">
        <value>http://referentiel.bas-rhin.fr/webservices/WsExternes.asmx</value>
      </setting>
    </CD67.FicheCollege.Entity.Properties.Settings>
  </applicationSettings>
  <system.data>
    <DbProviderFactories>
      <add name="Npgsql Data Provider" invariant="Npgsql" description="Data Provider for PostgreSQL" type="Npgsql.NpgsqlFactory, Npgsql" />
      <!--<add name="dotConnect for PostgreSQL" invariant="Devart.Data.PostgreSql" description="Devart dotConnect for PostgreSQL" type="Devart.Data.PostgreSql.PgSqlProviderFactory, Devart.Data.PostgreSql, Version= 7.10.1134.0, Culture=neutral, PublicKeyToken=09af7300eec23701" />-->
    </DbProviderFactories>
  </system.data>
  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="Npgsql" publicKeyToken="5d8b90d52f46fda7" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.0.0.0" newVersion="4.0.0.0" />
      </dependentAssembly>
    </assemblyBinding>
  </runtime>
</configuration>